Subject: [Sigtran] SUA: Query regarding Address Range Parameter

From: [email-masked]
Date: Wed, 14 Sep 2005 15:26:47 +0530

Hi,

RFC 3868 Section 3.10.17 states,

Note 1: The Address field must contain pairs of Source Addresses

or pairs of Destination Addresses but MUST NOT mix Source

Addresses with Destination Addresses in the same Address

field.

If we have to register a Source Address range and a Destination Address
range then how do we send it in a single REG REQ message.

Regards

Amrita Garg

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 14 Sep 2005 04:22:50 -0600

amrita.garg,

The statement applies to the `From' and `To' fields in the address range.
There is, of course, no address range that begins with a source address
and ends with a destination address...  Understand?

To specify a source address range and destination address range, place
two range fields:

 From  To
 ----  ----
 srce, srce

  and

 dest, dest

What the text says that you cannot do is:

 From  To
 ----  ----
 srce, dest

  or

 dest, srce

which makes no sense and is an invalid range specification.

--brian

[email-masked] wrote:                                                   (Wed, 14 Sep 2005 15:26:47)
>    If  we  have  to  register  a  Source  Address range and a Destination
>    Address range then how do we send it in a single REG REQ message.
> 
> 
> 
>    Regards
> 
>    Amrita Garg

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/